Watch out for old Subversion clients

I had an old SVN command line client, but was not using it directly.
New (1.6.3) clients should not be mixed with older clients, because the way they handle the merge-info property.

All my other clients (Visual Studio, IntelliJ, Tortoise) were up to date, but it appears that TeamCity’s remote run used the old command-line client.

Resolution: Install newest version of SlikSVN, make sure it’s in the path.

2 Comments

  1. Avish:

    How do you know that’s the resolution? For that matter, how do you even know that this is the cause of the problem? It’s not like you can reproduce any of this easily…

  2. ripper234:

    You’re right, as usual. I hope this will be enough to stop our merge-info crap. This actually resolved the error message I got from the plugin complaining about being unable to work with the new Subversion version